Change log for liblinear package in Ubuntu

117 of 17 results
Published in hirsute-release on 2020-10-28
Deleted in hirsute-proposed (Reason: moved to Release)
liblinear (2.3.0+dfsg-5) unstable; urgency=medium

  * d/tests/control: Add python3-all to python3-simple's Depends:.
    (Closes: #972532)
  * Add myself to uploaders. 

 -- Michael Hudson-Doyle <email address hidden>  Thu, 22 Oct 2020 08:13:03 +1300

Available diffs

Superseded in hirsute-release on 2020-10-28
Published in groovy-release on 2020-05-02
Deleted in groovy-proposed (Reason: moved to Release)
liblinear (2.3.0+dfsg-4) unstable; urgency=medium

  * Add autopkgtest for Python package
  * Add patch Merge-commonutil.py-into-liblinearutil.py.patch (Closes: #958641)
    - Add python3-liblinear.README.Debian documenting the merge
  * Bump Standards-Version to 4.5.0 (no changes needed)

 -- Christian Kastner <email address hidden>  Sat, 02 May 2020 10:10:18 +0200
Superseded in groovy-release on 2020-05-02
Published in focal-release on 2020-03-23
Deleted in focal-proposed (Reason: moved to Release)
liblinear (2.3.0+dfsg-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <email address hidden>  Sun, 22 Mar 2020 16:46:05 +0100
Superseded in focal-release on 2020-03-23
Deleted in focal-proposed on 2020-03-24 (Reason: moved to Release)
liblinear (2.3.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Packages in Debian Science team should be maintained by
    <email address hidden>
  * Drop Python2 package (addresses: #936889)
  * Rely on pre-initialized dpkg-architecture variables.

 -- Andreas Tille <email address hidden>  Sat, 21 Dec 2019 08:12:33 +0100

Available diffs

Superseded in focal-release on 2019-12-21
Superseded in focal-release on 2019-12-17
Deleted in focal-proposed on 2019-12-23 (Reason: moved to Release)
liblinear (2.3.0+dfsg-2) unstable; urgency=medium

  * gbp.conf: Drop upstream-tag remnant from earlier setup

 -- Christian Kastner <email address hidden>  Thu, 31 Oct 2019 10:57:42 +0100
Superseded in focal-proposed on 2019-10-31
liblinear (2.3.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Bump SONAME from 3 to 4
      The new release contains backwards-incompatible changes to the API
    - Refresh manpages

  * d/control: Bump Standards-Version to 4.4.1 (no changes needed)
  * d/copyright:
    - Improve DFSG note in Comments
    - Add Files-Excluded for generating DFSG-cleaned sources
    - Bump copyrights
  * d/rules:
    - Override_dh_missing for --fail-missing
    - Drop now superfluous get-orig-source target
  * Update symbols file
  * d/patches:
    - Add Bump-SONAME.patch
    - Refresh patch Improve-option-parsing.patch
    - Add patch Get-rid-of-bundled-BLAS.patch
  * d/watch: Add repacksuffix=+dfsg
  * Drop now superfluous d/source/lintian-overrides
  * gbp.conf: Get rid of "dfsg" branch; use "upstream" directly
  * Let dh_install install from debian/tmp, instead of source.
    Resolves a warning from dh_missing. Thanks, Niels Thykier, for the analysis and
    resolution!

 -- Christian Kastner <email address hidden>  Tue, 22 Oct 2019 13:00:10 +0200
Superseded in focal-release on 2019-11-02
Obsolete in eoan-release on 2020-12-29
Obsolete in disco-release on 2020-07-14
Deleted in disco-proposed on 2020-12-29 (Reason: moved to release)
liblinear (2.1.0+dfsg-4) unstable; urgency=medium

  * Fix copy-pasta in Vcs-* URLs (pointed to wrong project)
  * Move Python build dependencies to Build-Depends-Indep.
    Fixes a FTCBFS. Thanks, Helmut Grohne! Closes: #913244
  * Drop d/*.dirs, the dh_* helpers create directories as needed
  * Move man pages from d/ to d/man
  * Drop cruft liblinear-dbg.lintian-overrides
  * Remove ancient d/python-liblinear.NEWS
    It's content applies to changes before oldoldstable
  * Add Rules-Requires-Root: no

 -- Christian Kastner <email address hidden>  Fri, 15 Feb 2019 15:46:34 +0100
Superseded in disco-proposed on 2019-02-15
liblinear (2.1.0+dfsg-3) unstable; urgency=medium

  * Point Vcs-* to Salsa
  * Switch to https in Homepage field
  * Switch Build-Depends from debhelper to debhelper-compat
  * Bump Build-Depends for debhelper-compat to 12
  * Remove now obsolete d/compat
  * Drop ancient X-Python{,3}-Version
  * Bump Standards-Version to 4.3.0
  * d/copyright: Switch to https in Format and Source fields
  * d/rules:
    - Drop override_dh_compress
      examples/ aren't compressed in compat 12
    - Use DEB_VERSION_UPSTREAM from dpkg-pkg-info.mk instead of parsing
      d/changelog
    - Drop override_dh_strip
      It was only needed for the dbgsym migration
  * d/liblinear3.symbols: Add Build-Depends-Package field
  * d/tests: Rename ADTTMP to AUTOPKGTEST_TMP
  * gbp.conf:
    - Set upstream-branch to dfsg
    - gbp.conf: Add pristine-tar, sign-tags options
  * d/source/lintian-overrides:
    - Remove tag debian-watch-file-is-missing, it has been re-classified as
      experimental
    - Add tag debian-rules-contains-unnecessary-get-orig-source-target
      False-positive. We do call uscan, but we filter and modify files, so a
      simple File-Excluded in d/copyright won't suffice
  * d/watch:
    - Update to format version 4
    - Switch to https in URL

 -- Christian Kastner <email address hidden>  Thu, 14 Feb 2019 20:13:53 +0100
Superseded in disco-release on 2019-02-16
Obsolete in cosmic-release on 2020-07-13
Published in bionic-release on 2017-10-24
Obsolete in artful-release on 2020-07-10
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed (Reason: moved to release)
liblinear (2.1.0+dfsg-2) unstable; urgency=medium

  * Drop package libocas-dbg in favor of automatic dbgsym packages, as per
    https://lists.debian.org/debian-devel/2015/12/msg00262.html
  * d/patches (updated):
    - Properly-build-shared-and-static-libraries-programs.
      Filter out -pie, -fpie, and -fPIE when building the shared library so
      that hardening=+all can be used
  * d/rules:
    - Add hardening=+all to DEB_BUILD_MAINT_OPTIONS
    - Improve version number parsing
  * d/copyright:
    - Bump copyright years
  * d/control:
    - Bump Standards-Version to 3.9.8 (no changes needed)
    - Switch to secure URIs in Vcs-* fields

 -- Christian Kastner <email address hidden>  Sun, 24 Apr 2016 16:55:04 +0200

Available diffs

Superseded in yakkety-release on 2016-04-27
Published in xenial-release on 2016-02-22
Deleted in xenial-proposed (Reason: moved to release)
liblinear (2.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Versioning scheme has been changed to better work with upstream's
  * d/control:
    - Build-Depend on python*-all, not python*-all-dev. This was a remnant from
      when the package was still arch:any. Closes: #799231
    - Switch Vcs-Browser from gitweb to cgit
  * d/watch:
    - Redo mangling: Convert upstream version to x.y.z format
  * d/rules:
    - Update get-orig-source for new x.y.z versioning scheme
  * liblinear3:
    - Drop symbol l2r_l2_svc_fun::subXv. No SONAME bump, as this symbol wasn't
      visible outside of experimental
  * d/patches (updated):
    - Properly-build-shared-and-static-libraries-programs.patch
      Makes use of the new versioning scheme

 -- Christian Kastner <email address hidden>  Sun, 01 Nov 2015 17:14:30 +0100

Available diffs

Superseded in xenial-release on 2016-02-22
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
liblinear (1.8+dfsg-5) unstable; urgency=medium

  * Add package python3-liblinear.
  * debian/control:
    - Bump Standards-Version to 3.9.6 (no changes needed)
    - Drop XS-Testsuite. dpkg now recognizes the Testsuite header, and
      dpkg-source automatically adds one when an autopkgtest suite is found
    - Add Build-Depends for dh-python
    - Add Build-Depends for python3-all-dev
    - Add X-Python3-Version of 3.0
  * debian/rules:
    - Make dh also build with dh_python3
  * debian/liblinear1.symbols: Mark symbol optimized away by GCC 5 as optional,
    thereby fixing a FTBFS. Closes: #790248
  * debian/copyright:
    - Bump copyright years

 -- Christian Kastner <email address hidden>  Wed, 22 Jul 2015 17:11:54 +0200

Available diffs

Superseded in wily-release on 2015-07-23
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
liblinear (1.8+dfsg-4) unstable; urgency=medium


  * Migrate repo to Debian-Science at git.debian.org
  * debian/control:
    - Update Vcs-* URLs to point to new location
    - Add XS-Testsuite for autopkgtest
    - python-liblinear is arch:all, not arch:any. Thanks, Vincent Cheng
  * debian/tests/*:
    - Define an autopkgtest that runs the examples from the documentation
  * debian/patches (updated):
    - 0006-Improve-option-parsing
      Fix wrong function call in float parsing (for epsilon value, etc.). As a
      result of copy-pasta, strtol() was being used where strtof() was needed.

 -- Christian Kastner <email address hidden>  Tue, 26 Aug 2014 10:35:07 -0700

Available diffs

Superseded in vivid-release on 2014-10-25
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
liblinear (1.8+dfsg-3) unstable; urgency=low


  * debian/symbols:
    - Declare an empty virtual destructor as optional symbol; gcc-4.9 no longer
      generates it. Fixes a FTBFS. Closes: #753227
  * debian/control:
    - Add Multi-Arch fields to packages where necessary
    - Add Pre-Depends for package liblinear1
  * debian/rules:
    - Install to multi-arch destinations using DEB_HOST_MULTIARCH
  * debian/*.install:
    - Update paths as a consequence of the new install target and
      multi-arch-ification
  * debian/patches (updated):
    - 0001-Properly-build-shared-and-static-libraries-programs
      Add an install target to upstream's Makefile, with configurable
      destinations for libraries and executables

 -- Christian Kastner <email address hidden>  Sat, 26 Jul 2014 23:11:03 +0200

Available diffs

Superseded in utopic-release on 2014-07-30
Deleted in utopic-proposed on 2014-07-31 (Reason: moved to release)
liblinear (1.8+dfsg-2) unstable; urgency=low


  * debian/control:
    - Demoted liblinear1's Recommends for liblinear-tools to Suggests, so
      packages depending only on the library don't pull in the tools.
      Closes: #682062
    - Demoted liblinear-tools' Recommends for libsvm-tools to Suggests, for the
      same reasons. Closes: #679992
    - Bumped Standards-Version to 3.9.5 (no changes needed)
    - Bumped debhelper compatibility version to recommended level 9
    - Dropped dependency on python-support, and added a dependency on
      python-all-dev (>= 2.6.6-3~) for dh_python2, as well as added
      X-Python-Version >= 2.5. Closes: #679993
    - Updated BLAS dependency to libblas-dev | libblas.so, the currently
      recommended approach.
  * debian/compat:
    - Raised debhelper compatibility level to recommended level 9
  * debian/rules:
    - Converted to dh_python2
    - Fixed get-orig-rules target in debian/rules. The generated tarball did
      not match the git version
    - Use DEB_CFLAGS_MAINT_APPEND, as recommended, instead of CFLAGS
  * debian/copyright:
    - Updated to machine-readable copyright format 1.0
  * debian/gbp.conf
    - Created (package is based on dfsg branch, not upstream)
  * debian/patches (new):
     - 0006-Improve-option-parsing
       Use optarg, avoid atoi, verify argument count. Closes: #716115
  * debian/patches (modified):
    - 0001-Properly-build-shared-and-static-libraries-programs
      Include CPPFLAGS to avoid hardening flag warnings
  * debian/source/lintian-overrides:
    - Added override for debian-watch-may-check-gpg-signature
  * debian/*.lintian-overrides:
    - Added overrides for no-upstream-changelog
 -- Christian Kastner <email address hidden>  Wed, 19 Feb 2014 11:21:06 +0100
Superseded in utopic-release on 2014-06-16
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
Superseded in quantal-release on 2012-07-03
liblinear (1.8+dfsg-1ubuntu1) quantal; urgency=low

  * debian/control:
    - Use dh_python2 instead of python-support
    - Add X-Python-Version
    - Drop libsvm-tools from Recommends to Suggests, as the tools are only
      mentioned in man pages.
  * debian/pyversions:
    - Drop, unused with dh_python2
 -- Michael Terry <email address hidden>   Mon, 02 Jul 2012 16:05:38 -0400

Available diffs

Superseded in quantal-release on 2012-07-02
Published in precise-release on 2011-10-13
Obsolete in oneiric-release on 2015-04-24
liblinear (1.8+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Added Chen-Tse Tsai <email address hidden> to Uploaders
    - Bumped Standards-Version to 3.9.2 (no changes needed)
  * debian/python-liblinear.install
    debian/rules:
    - Dropped the override for dh_install in favor of python-liblinear.install
      Previously, this was not possible because we had to rename files
  * debian/watch:
    - Rewrote version mangling. Now only the upstream version needs to be
      mangled. The previous approach didn't work well together with DEHS
  * debian/copyright:
    - Refreshed upstream's copyright
    - Fixed the previous refresh of my packaging copyright (don't drop 2010)
    - Refreshed DEP5 format to r173
  * debian/python-liblinear.README.Debian
    - Refreshed to reflect that we are now upstream-compatible again
  * debian/patches refreshed:
    - 0001-Properly-build-shared-and-static-libraries-programs
      Fixed a (harmless) missing definition. Also, patch now applies against
      orig tarball created with get-orig-source. The orig tarball previously
      created manually differed slightly (whitespace in Makefile)
  * debian/patches dropped (implemented/included upstream):
    - 0003-Add-missing-solver-to-Python-bindings
    - 0004-Python-namespace-change.patch
  * debian/patches added:
    - 0005-Documentation-fix.patch
      Mismatch between documented formulas

Available diffs

Superseded in oneiric-release on 2011-04-30
Obsolete in natty-release on 2013-06-04
liblinear (1.6+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #585788)
  * debian/patches:
    - 0001-Properly-build-shared-and-static-libraries-programs
    - 0002-Move-Python-bindings-to-package-liblinear
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  01 Nov 2010 23:39:31 +0000
117 of 17 results